Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1926779 - munmap_chunk(): invalid pointer [i686, armv7l]
Summary: munmap_chunk(): invalid pointer [i686, armv7l]
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kyua
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1912913
Blocks: 1926592 1930707
TreeView+ depends on / blocked
 
Reported: 2021-02-09 12:53 UTC by Petr Menšík
Modified: 2023-09-15 01:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 22:00:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Menšík 2021-02-09 12:53:09 UTC
Description of problem:
bind package is using kyua during build to run unit tests. After recent f34 mass rebuild, it started crashing on every single test on i686, armv7l and s390x platforms.

Version-Release number of selected component (if applicable):
kyua-0.13-7.fc34.i686

How reproducible:
reliable

Steps to Reproduce:
1. fedpkg clone --anonymous bind && cd bind
2. fedpkg mockbuild --no-cleanup-after --root /etc/mock/fedora-rawhide-i386.cfg
3.

Actual results:
munmap_chunk(): invalid pointer
*** Fatal signal 6 received
*** Log file is /builddir/.kyua/logs/kyua.20210209-123351.log
*** Please report this problem to kyua-discuss detailing what you were doing before the crash happened; if possible, include the log file mentioned above
# repeated for every test

Expected results:
just successful testing

Additional info:
(gdb) set follow-fork-mode child
(gdb) bt
#0  0xf7fca559 in __kernel_vsyscall ()
#1  0xf7a9dbb8 in raise () from /lib/libc.so.6
#2  0xf7a863c9 in abort () from /lib/libc.so.6
#3  0xf7ae449c in __libc_message () from /lib/libc.so.6
#4  0xf7aecdaf in malloc_printerr () from /lib/libc.so.6
#5  0xf7aed1fb in munmap_chunk () from /lib/libc.so.6
#6  0xf7af1e00 in free () from /lib/libc.so.6
#7  0xf7cd3dac in operator delete(void*) () from /lib/libstdc++.so.6
#8  0xf7cd3ddc in operator delete(void*, unsigned int) () from /lib/libstdc++.so.6
#9  0x565d53e4 in utils::process::child::fork_files_aux(utils::fs::path const&, utils::fs::path const&) ()
#10 0x565b2afb in engine::scheduler::scheduler_handle::list_tests[abi:cxx11](model::test_program const*, utils::config::tree const&) ()
#11 0x565b34ba in engine::scheduler::lazy_test_program::test_cases[abi:cxx11]() const ()
#12 0x565a96cf in engine::scanner::impl::advance() ()
#13 0x565aa08f in engine::scanner::yield[abi:cxx11]() ()
#14 0x5659e2c8 in cli::cmd_test::run(utils::cmdline::ui*, utils::cmdline::parsed_cmdline const&, utils::config::tree const&) ()
#15 0x56589fab in (anonymous namespace)::safe_main(utils::cmdline::ui*, int, char const* const*, std::auto_ptr<utils::cmdline::base_command<utils::config::tree> >) ()
#16 0x5657fe55 in cli::main(int, char const* const*) ()
#17 0x565807f5 in main ()

Comment 1 Petr Menšík 2021-02-09 13:56:39 UTC
Way to obtain backtrace in mock:

cd /builddir/build/BUILD/bind-9.16.11/build/lib/isc/tests
cat <<EOF > test.gdb
file /usr/bin/kyua
set follow-fork-mode child
set args test buffer_test
run
EOF
gdb -x test.gdb
(gdb) bt

Backtrace with kyua debug info installed:

#0  0xf7fca559 in __kernel_vsyscall ()
#1  0xf7a9dbb8 in __libc_signal_restore_set (set=0xffffc2cc) at ../sysdeps/unix/sysv/linux/internal-signals.h:105
#2  __GI_raise (sig=<optimized out>) at ../sysdeps/unix/sysv/linux/raise.c:47
#3  0xf7a863c9 in __GI_abort () at abort.c:79
#4  0xf7ae449c in __libc_message (action=<optimized out>, fmt=<optimized out>) at ../sysdeps/posix/libc_fatal.c:155
#5  0xf7aecdaf in malloc_printerr (str=str@entry=0xf7bd373c "munmap_chunk(): invalid pointer") at malloc.c:5626
#6  0xf7aed1fb in munmap_chunk (p=p@entry=0xffffc784) at malloc.c:2995
#7  0xf7af1e00 in __GI___libc_free (mem=0xffffc78c) at malloc.c:3302
#8  0xf7cd3dac in operator delete (ptr=0xffffc78c) at ../../../../libstdc++-v3/libsupc++/del_op.cc:49
#9  0xf7cd3ddc in operator delete (ptr=0xffffc78c) at ../../../../libstdc++-v3/libsupc++/del_ops.cc:33
#10 0x565d53e4 in __gnu_cxx::new_allocator<char>::deallocate (__t=<optimized out>, __p=<optimized out>, this=0xffffc7d8)
    at /usr/include/c++/11/ext/new_allocator.h:139
#11 std::allocator_traits<std::allocator<char> >::deallocate (__n=<optimized out>, __p=<optimized out>, __a=...) at /usr/include/c++/11/bits/alloc_traits.h:492
#12 std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::_M_destroy (__size=<optimized out>, this=0xffffc7d8)
    at /usr/include/c++/11/bits/basic_string.h:237
#13 std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::_M_dispose (this=0xffffc7d8)
    at /usr/include/c++/11/bits/basic_string.h:232
#14 std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::~basic_string (this=<optimized out>, this=<optimized out>)
    at /usr/include/c++/11/bits/basic_string.h:658
#15 utils::fs::path::~path (this=<optimized out>, this=<optimized out>) at ./utils/fs/path.hpp:55
#16 utils::process::child::fork_files_aux (stdout_file=..., stderr_file=...) at utils/process/child.cpp:273
#17 0x565b2afb in utils::process::child::fork_files<utils::process::executor::detail::run_child<(anonymous namespace)::list_test_cases> > (stderr_file=..., 
    stdout_file=..., hook=...) at ./utils/process/child.ipp:56
#18 utils::process::executor::executor_handle::spawn<(anonymous namespace)::list_test_cases> (timeout=..., stderr_target=..., stdout_target=..., 
    unprivileged_user=..., hook=..., this=0x56625854) at ./utils/process/executor.ipp:132
#19 engine::scheduler::scheduler_handle::list_tests[abi:cxx11](model::test_program const*, utils::config::tree const&) (this=0xffffcd18, 
    test_program=<optimized out>, user_config=...) at engine/scheduler.cpp:1037
#20 0x565b34ba in engine::scheduler::lazy_test_program::test_cases[abi:cxx11]() const (this=0x56628e70) at engine/scheduler.cpp:575
#21 0x565a96cf in engine::scanner::impl::advance (this=<optimized out>) at engine/scanner.cpp:128
#22 0x565aa08f in engine::scanner::yield[abi:cxx11]() (this=0xffffcd30) at engine/scanner.cpp:190
#23 0x5659e2c8 in drivers::run_tests::drive (hooks=..., user_config=..., filters=std::set with 1 element = {...}, store_path=..., build_root=..., 
    kyuafile_path=...) at drivers/run_tests.cpp:289
#24 cli::cmd_test::run (this=0x566218e0, ui=0xffffd46c, cmdline=..., user_config=...) at cli/cmd_test.cpp:160
#25 0x56589fab in utils::cmdline::base_command<utils::config::tree>::main (data=..., args=std::vector of length 2, capacity 2 = {...}, ui=0xffffd46c, 
    this=0x566218e0) at utils/cmdline/base_command.cpp:114
#26 (anonymous namespace)::run_subcommand (user_config=..., args=std::vector of length 2, capacity 2 = {...}, command=0x566218e0, ui=0xffffd46c)
    at cli/main.cpp:139
#27 (anonymous namespace)::safe_main (ui=<optimized out>, argc=<optimized out>, argv=<optimized out>, mock_command=...) at cli/main.cpp:228
#28 0x5657fe55 in cli::main (mock_command=..., argv=0xffffd694, argc=3, ui=0xffffd46c) at cli/main.cpp:280
#29 cli::main (argc=3, argv=0xffffd694) at cli/main.cpp:353
#30 0x565807f5 in main (argc=3, argv=0xffffd694) at /usr/src/debug/kyua-0.13-7.fc34.i386/main.cpp:49

Comment 2 Petr Menšík 2021-02-09 14:01:48 UTC
Very minimalistic reproducer:

cat > Kyuafile << EOF
syntax(2)
test_suite('i686')

plain_test_program{name='false'}
EOF
ln -s /usr/bin/false

$ kyua test
munmap_chunk(): invalid pointer
*** Fatal signal 6 received
*** Log file is /builddir/.kyua/logs/kyua.20210209-135858.log
*** Please report this problem to kyua-discuss detailing what you were doing before the crash happened; if possible, include the log file mentioned above
false:main  ->  munmap_chunk(): invalid pointer
*** Fatal signal 6 received
*** Log file is /builddir/.kyua/logs/kyua.20210209-135858.log
*** Please report this problem to kyua-discuss detailing what you were doing before the crash happened; if possible, include the log file mentioned above
broken: Received signal 6  [0.095s]

Results file id is builddir_build_BUILD_bind-9.16.11_build_lib_isc_tests_ktest.20210209-135858-459676
Results saved to /builddir/.kyua/store/results.builddir_build_BUILD_bind-9.16.11_build_lib_isc_tests_ktest.20210209-135858-459676.db

0/1 passed (1 failed)

Seems like kyua's ABI got broken.

Comment 3 Petr Menšík 2021-02-09 14:18:24 UTC
Hey, is it expected kyua fails all its unit tests during the build, yet it passes the build and continue broken? I made scratch build [1], it passed on i686[2], but logs report the same behaviour even on kyua unit tests. Is there reason to not make failing unit test fail whole build? It is all failing on those platforms, the same way as bind. But unlike bind, 

1. https://koji.fedoraproject.org/koji/taskinfo?taskID=61662305
2. https://kojipkgs.fedoraproject.org//work/tasks/2557/61662557/build.log

Comment 4 Ben Cotton 2021-02-09 16:14:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 5 Petr Menšík 2021-02-09 22:44:59 UTC
Marking as regression. I tried to reenable f33 unit tests and they work just fine. But not on rawhide.

1. https://src.fedoraproject.org/rpms/kyua/pull-request/1
2. https://koji.fedoraproject.org/koji/taskinfo?taskID=61678673

Comment 6 Petr Menšík 2021-02-09 22:47:54 UTC
32 bit architectures are broken completely - i686 and armv7l. ppc64le seems to be broken partially, only few tests fail [1]. s390x is broken completely too.
 
1. https://koji.fedoraproject.org/koji/taskinfo?taskID=61674106

Comment 7 Petr Menšík 2021-02-11 23:34:26 UTC
Tried to build my branch with reenabled unit tests on ppc64le machine. First built it on f33 fully upgraded, all unit tests passed.
Then upgraded gcc from rawhide branch to gcc-11.0.0-0.18.fc34.ppc64le and rebuilt locally. It failed this time:

===> Execution context
Current directory: /root/kyua/kyua-0.13
Environment variables:
    BEAKER=https://beaker.engineering.redhat.com/
    BEAKER_HUB_URL=https://beaker.engineering.redhat.com/
    BEAKER_JOB_WHITEBOARD=Reserve Workflow provision of distro Fedora-33-20201023.n.0 on any system for 86400 seconds
    BEAKER_LAB_CONTROLLER=lab-02.rhts.eng.bos.redhat.com
    BEAKER_LAB_CONTROLLER_URL=http://lab-02.rhts.eng.bos.redhat.com:8000/
    BEAKER_RECIPE_ID=9551937
    BEAKER_RECIPE_WHITEBOARD=
    BEAKER_RESERVATION_POLICY_URL=https://home.corp.redhat.com/wiki/extended-reservations-beaker-general-pool-systems
    BUILDURL=http://download.eng.bos.redhat.com
    CONFIG_SITE=NONE
    DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/0/bus
    DUMPSERVER=netdump-01.eng.bos.redhat.com
    HISTCONTROL=ignoredups
    HISTSIZE=1000
    HOME=/root/kyua/kyua-0.13/check
    HOSTNAME=ibm-p9z-21-lp22.fs.lab.eng.bos.redhat.com
    KYUA_CONFDIR=/non-existent
    KYUA_DOCDIR=/root/kyua/kyua-0.13
    KYUA_EXAMPLESDIR=/root/kyua/kyua-0.13/examples
    KYUA_MISCDIR=/root/kyua/kyua-0.13/misc
    KYUA_STOREDIR=/root/kyua/kyua-0.13/store
    KYUA_STORETESTDATADIR=/root/kyua/kyua-0.13/store
    LAB_CONTROLLER=lab-02.rhts.eng.bos.redhat.com
    LANG=C
    LESSOPEN=||/usr/bin/lesspipe.sh %s
    LOGNAME=root
    LOOKASIDE=http://download.eng.bos.redhat.com/qa/rhts/lookaside/
    LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.wim=01;31:*.swm=01;31:*.dwm=01;31:*.esd=01;31:*.jpg=01;35:*.jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.webp=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.m4a=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.oga=01;36:*.opus=01;36:*.spx=01;36:*.xspf=01;36:
    MAIL=/var/spool/mail/root
    MAKEFLAGS=w -j8 -Otarget --jobserver-auth=3,4 -- V=1 VERBOSE=1 pkgtestsdir=/usr/libexec/kyua/tests testsdir=/usr/libexec/kyua/tests
    MAKELEVEL=2
    MAKEOVERRIDES=${-*-command-variables-*-}
    MFLAGS=-w -j8 -Otarget --jobserver-auth=3,4
    MOTD_SHOWN=pam
    NFSSERVERS=rhel5-nfs.rhts.eng.bos.redhat.com:/export/home rhel6-nfs.rhts.eng.bos.redhat.com:/export/home rhel7-nfs.rhts.eng.bos.redhat.com:/export/home rhel8-nfs.rhts.eng.bos.redhat.com:/export/home fs-netapp-kernel1.fs.lab.eng.bos.redhat.com:/export/home
    OLDPWD=/root/kyua
    PATH=/root/kyua/kyua-0.13:/root/.local/bin:/root/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
    PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig
    PWD=/root/kyua/kyua-0.13
    RHTS_OPTION_COMPATIBLE=
    RHTS_OPTION_COMPAT_SERVICE=
    RPM_ARCH=ppc64le
    RPM_BUILD_DIR=/root/kyua
    RPM_BUILD_NCPUS=8
    RPM_BUILD_ROOT=/root/rpmbuild/BUILDROOT/kyua-0.13-7.fc35.ppc64le
    RPM_DOC_DIR=/usr/share/doc
    RPM_LD_FLAGS=-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld 
    RPM_OPT_FLAGS=-O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection
    RPM_OS=linux
    RPM_PACKAGE_NAME=kyua
    RPM_PACKAGE_RELEASE=7.fc35
    RPM_PACKAGE_VERSION=0.13
    RPM_SOURCE_DIR=/root/kyua
    SELINUX_LEVEL_REQUESTED=
    SELINUX_ROLE_REQUESTED=
    SELINUX_USE_CURRENT_RANGE=
    SHELL=/bin/bash
    SHLVL=4
    SOURCE_DATE_EPOCH=1611619200
    SSH_CLIENT=10.40.193.105 48784 22
    SSH_CONNECTION=10.40.193.105 48784 10.16.224.156 22
    SSH_TTY=/dev/pts/0
    TERM=xterm-256color
    USER=root
    V=1
    VERBOSE=1
    XDG_DATA_DIRS=/root/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share:/usr/share
    XDG_RUNTIME_DIR=/run/user/0
    XDG_SESSION_CLASS=user
    XDG_SESSION_ID=2
    XDG_SESSION_TYPE=tty
    XMODIFIERS=@im=ibus
    _=/usr/bin/env
    pkgtestsdir=/usr/libexec/kyua/tests
    testsdir=/usr/libexec/kyua/tests
===> drivers/list_tests_test:build_root
Result:     failed: Line 238: exp_test_cases == hooks.test_cases not met
Start time: 2021-02-12T02:44:49.819740Z
End time:   2021-02-12T02:44:50.290345Z
Duration:   0.471s

Metadata:
    allowed_architectures is empty
    allowed_platforms is empty
    description is empty
    has_cleanup = false
    is_exclusive = false
    required_configs is empty
    required_disk_space = 0
    required_files is empty
    required_memory = 0
    required_programs is empty
    required_user is empty
    timeout = 300

Standard error:
20210212-024449 D 68237 utils/env.cpp:152: Setting environment variable 'TESTS' to 'no_properties some_properties'
20210212-024449 D 68237 utils/env.cpp:114: Environment variable 'TMPDIR' is '/tmp/kyua.i3JSV4/113/work'
20210212-024449 D 68237 utils/process/child.cpp:289: Spawned process 68238: stdout=/tmp/kyua.i3JSV4/113/work/kyua.b9ELx2/1/stdout.txt, stderr=/tmp/kyua.i3JSV4/113/work/kyua.b9ELx2/1/stderr.txt
munmap_chunk(): invalid pointer
20210212-024449 D 68237 utils/signals/timer.cpp:254: Installing first timer; firing on 1613098189829637us; now is 1613097889829637us
20210212-024449 I 68237 utils/process/executor.cpp:782: Spawned subprocess with exec_handle 68238
20210212-024449 D 68237 utils/process/operations.cpp:99: Waiting for pid=68238
20210212-024450 I 68237 utils/process/executor.cpp:634: Waited for subprocess with exec_handle 68238
20210212-024450 D 68237 utils/signals/timer.cpp:319: Unprogramming timer; previously firing on 1613098189829637us
20210212-024450 D 68237 utils/signals/timer.cpp:276: Unprogramming all timers
20210212-024450 W 68237 utils/process/executor.cpp:349: Implicitly cleaning up exit_handle for exec_handle 68238; ignoring errors!
20210212-024450 I 68237 utils/process/executor.cpp:368: Cleaning up exit_handle for exec_handle 68238
20210212-024450 D 68237 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/113/work/kyua.b9ELx2/1/stderr.txt
20210212-024450 D 68237 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/113/work/kyua.b9ELx2/1/stdout.txt
20210212-024450 D 68237 utils/fs/operations.cpp:706: Descending into /tmp/kyua.i3JSV4/113/work/kyua.b9ELx2/1/work
20210212-024450 D 68237 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/113/work/kyua.b9ELx2/1/work
20210212-024450 D 68237 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/113/work/kyua.b9ELx2/1
20210212-024450 W 68237 engine/scheduler.cpp:1054: Failed to load test cases list: Test program received signal
Files left in work directory after failure: build, source
===> drivers/list_tests_test:config_in_head
Result:     failed: Line 253: exp_test_cases == hooks.test_cases not met
Start time: 2021-02-12T02:44:50.299285Z
End time:   2021-02-12T02:44:51.331645Z
Duration:   1.032s

Metadata:
    allowed_architectures is empty
    allowed_platforms is empty
    description is empty
    has_cleanup = false
    is_exclusive = false
    required_configs is empty
    required_disk_space = 0
    required_files is empty
    required_memory = 0
    required_programs is empty
    required_user is empty
    timeout = 300

Standard error:
20210212-024450 D 68269 utils/env.cpp:152: Setting environment variable 'TESTS' to 'config_in_head'
20210212-024450 D 68269 utils/env.cpp:114: Environment variable 'TMPDIR' is '/tmp/kyua.i3JSV4/114/work'
20210212-024450 D 68269 utils/process/child.cpp:289: Spawned process 68272: stdout=/tmp/kyua.i3JSV4/114/work/kyua.aU36FY/1/stdout.txt, stderr=/tmp/kyua.i3JSV4/114/work/kyua.aU36FY/1/stderr.txt
munmap_chunk(): invalid pointer
20210212-024450 D 68269 utils/signals/timer.cpp:254: Installing first timer; firing on 1613098190309437us; now is 1613097890309437us
20210212-024450 I 68269 utils/process/executor.cpp:782: Spawned subprocess with exec_handle 68272
20210212-024450 D 68269 utils/process/operations.cpp:99: Waiting for pid=68272
20210212-024451 I 68269 utils/process/executor.cpp:634: Waited for subprocess with exec_handle 68272
20210212-024451 D 68269 utils/signals/timer.cpp:319: Unprogramming timer; previously firing on 1613098190309437us
20210212-024451 D 68269 utils/signals/timer.cpp:276: Unprogramming all timers
20210212-024451 W 68269 utils/process/executor.cpp:349: Implicitly cleaning up exit_handle for exec_handle 68272; ignoring errors!
20210212-024451 I 68269 utils/process/executor.cpp:368: Cleaning up exit_handle for exec_handle 68272
20210212-024451 D 68269 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/114/work/kyua.aU36FY/1/stderr.txt
20210212-024451 D 68269 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/114/work/kyua.aU36FY/1/stdout.txt
20210212-024451 D 68269 utils/fs/operations.cpp:706: Descending into /tmp/kyua.i3JSV4/114/work/kyua.aU36FY/1/work
20210212-024451 D 68269 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/114/work/kyua.aU36FY/1/work
20210212-024451 D 68269 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/114/work/kyua.aU36FY/1
20210212-024451 W 68269 engine/scheduler.cpp:1054: Failed to load test cases list: Test program received signal
Files left in work directory after failure: build, source
===> drivers/list_tests_test:filter_match
Result:     failed: Line 222: exp_test_cases == hooks.test_cases not met
Start time: 2021-02-12T02:44:53.191664Z
End time:   2021-02-12T02:44:54.919623Z
Duration:   1.728s

Metadata:
    allowed_architectures is empty
    allowed_platforms is empty
    description is empty
    has_cleanup = false
    is_exclusive = false
    required_configs is empty
    required_disk_space = 0
    required_files is empty
    required_memory = 0
    required_programs is empty
    required_user is empty
    timeout = 300

Standard error:
20210212-024453 D 68320 utils/env.cpp:152: Setting environment variable 'TESTS' to 'no_properties some_properties'
20210212-024453 D 68320 utils/env.cpp:114: Environment variable 'TMPDIR' is '/tmp/kyua.i3JSV4/116/work'
20210212-024453 D 68320 utils/process/child.cpp:289: Spawned process 68324: stdout=/tmp/kyua.i3JSV4/116/work/kyua.h5AYpx/1/stdout.txt, stderr=/tmp/kyua.i3JSV4/116/work/kyua.h5AYpx/1/stderr.txt
munmap_chunk(): invalid pointer
20210212-024453 D 68320 utils/signals/timer.cpp:254: Installing first timer; firing on 1613098193209501us; now is 1613097893209501us
20210212-024453 I 68320 utils/process/executor.cpp:782: Spawned subprocess with exec_handle 68324
20210212-024453 D 68320 utils/process/operations.cpp:99: Waiting for pid=68324
20210212-024454 I 68320 utils/process/executor.cpp:634: Waited for subprocess with exec_handle 68324
20210212-024454 D 68320 utils/signals/timer.cpp:319: Unprogramming timer; previously firing on 1613098193209501us
20210212-024454 D 68320 utils/signals/timer.cpp:276: Unprogramming all timers
20210212-024454 W 68320 utils/process/executor.cpp:349: Implicitly cleaning up exit_handle for exec_handle 68324; ignoring errors!
20210212-024454 I 68320 utils/process/executor.cpp:368: Cleaning up exit_handle for exec_handle 68324
20210212-024454 D 68320 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/116/work/kyua.h5AYpx/1/stderr.txt
20210212-024454 D 68320 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/116/work/kyua.h5AYpx/1/stdout.txt
20210212-024454 D 68320 utils/fs/operations.cpp:706: Descending into /tmp/kyua.i3JSV4/116/work/kyua.h5AYpx/1/work
20210212-024454 D 68320 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/116/work/kyua.h5AYpx/1/work
20210212-024454 D 68320 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/116/work/kyua.h5AYpx/1
20210212-024454 W 68320 engine/scheduler.cpp:1054: Failed to load test cases list: Test program received signal
Files left in work directory after failure: root
===> drivers/list_tests_test:many_test_cases
Result:     failed: Line 207: exp_test_cases == hooks.test_cases not met
Start time: 2021-02-12T02:44:54.920948Z
End time:   2021-02-12T02:44:56.609232Z
Duration:   1.688s

Metadata:
    allowed_architectures is empty
    allowed_platforms is empty
    description is empty
    has_cleanup = false
    is_exclusive = false
    required_configs is empty
    required_disk_space = 0
    required_files is empty
    required_memory = 0
    required_programs is empty
    required_user is empty
    timeout = 300

Standard error:
20210212-024454 D 68332 utils/env.cpp:152: Setting environment variable 'TESTS' to 'no_properties some_properties'
20210212-024454 D 68332 utils/env.cpp:114: Environment variable 'TMPDIR' is '/tmp/kyua.i3JSV4/117/work'
20210212-024454 D 68332 utils/process/child.cpp:289: Spawned process 68335: stdout=/tmp/kyua.i3JSV4/117/work/kyua.rUBQj4/1/stdout.txt, stderr=/tmp/kyua.i3JSV4/117/work/kyua.rUBQj4/1/stderr.txt
munmap_chunk(): invalid pointer
20210212-024454 D 68332 utils/signals/timer.cpp:254: Installing first timer; firing on 1613098194931129us; now is 1613097894931129us
20210212-024454 I 68332 utils/process/executor.cpp:782: Spawned subprocess with exec_handle 68335
20210212-024454 D 68332 utils/process/operations.cpp:99: Waiting for pid=68335
20210212-024456 I 68332 utils/process/executor.cpp:634: Waited for subprocess with exec_handle 68335
20210212-024456 D 68332 utils/signals/timer.cpp:319: Unprogramming timer; previously firing on 1613098194931129us
20210212-024456 D 68332 utils/signals/timer.cpp:276: Unprogramming all timers
20210212-024456 W 68332 utils/process/executor.cpp:349: Implicitly cleaning up exit_handle for exec_handle 68335; ignoring errors!
20210212-024456 I 68332 utils/process/executor.cpp:368: Cleaning up exit_handle for exec_handle 68335
20210212-024456 D 68332 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/117/work/kyua.rUBQj4/1/stderr.txt
20210212-024456 D 68332 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/117/work/kyua.rUBQj4/1/stdout.txt
20210212-024456 D 68332 utils/fs/operations.cpp:706: Descending into /tmp/kyua.i3JSV4/117/work/kyua.rUBQj4/1/work
20210212-024456 D 68332 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/117/work/kyua.rUBQj4/1/work
20210212-024456 D 68332 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/117/work/kyua.rUBQj4/1
20210212-024456 W 68332 engine/scheduler.cpp:1054: Failed to load test cases list: Test program received signal
Files left in work directory after failure: root
===> drivers/list_tests_test:one_test_case
Result:     failed: Line 192: exp_test_cases == hooks.test_cases not met
Start time: 2021-02-12T02:44:56.610780Z
End time:   2021-02-12T02:44:57.639363Z
Duration:   1.029s

Metadata:
    allowed_architectures is empty
    allowed_platforms is empty
    description is empty
    has_cleanup = false
    is_exclusive = false
    required_configs is empty
    required_disk_space = 0
    required_files is empty
    required_memory = 0
    required_programs is empty
    required_user is empty
    timeout = 300

Standard error:
20210212-024456 D 68371 utils/env.cpp:152: Setting environment variable 'TESTS' to 'some_properties'
20210212-024456 D 68371 utils/env.cpp:114: Environment variable 'TMPDIR' is '/tmp/kyua.i3JSV4/118/work'
20210212-024456 D 68371 utils/process/child.cpp:289: Spawned process 68374: stdout=/tmp/kyua.i3JSV4/118/work/kyua.5XHkLs/1/stdout.txt, stderr=/tmp/kyua.i3JSV4/118/work/kyua.5XHkLs/1/stderr.txt
munmap_chunk(): invalid pointer
20210212-024456 D 68371 utils/signals/timer.cpp:254: Installing first timer; firing on 1613098196620889us; now is 1613097896620889us
20210212-024456 I 68371 utils/process/executor.cpp:782: Spawned subprocess with exec_handle 68374
20210212-024456 D 68371 utils/process/operations.cpp:99: Waiting for pid=68374
20210212-024457 I 68371 utils/process/executor.cpp:634: Waited for subprocess with exec_handle 68374
20210212-024457 D 68371 utils/signals/timer.cpp:319: Unprogramming timer; previously firing on 1613098196620889us
20210212-024457 D 68371 utils/signals/timer.cpp:276: Unprogramming all timers
20210212-024457 W 68371 utils/process/executor.cpp:349: Implicitly cleaning up exit_handle for exec_handle 68374; ignoring errors!
20210212-024457 I 68371 utils/process/executor.cpp:368: Cleaning up exit_handle for exec_handle 68374
20210212-024457 D 68371 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/118/work/kyua.5XHkLs/1/stderr.txt
20210212-024457 D 68371 utils/fs/operations.cpp:709: Removing file /tmp/kyua.i3JSV4/118/work/kyua.5XHkLs/1/stdout.txt
20210212-024457 D 68371 utils/fs/operations.cpp:706: Descending into /tmp/kyua.i3JSV4/118/work/kyua.5XHkLs/1/work
20210212-024457 D 68371 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/118/work/kyua.5XHkLs/1/work
20210212-024457 D 68371 utils/fs/operations.cpp:714: Removing empty directory /tmp/kyua.i3JSV4/118/work/kyua.5XHkLs/1
20210212-024457 W 68371 engine/scheduler.cpp:1054: Failed to load test cases list: Test program received signal
Files left in work directory after failure: root
===> engine/filters_test:filters_state__match_test_program
Result:     broken: Premature exit; test case received signal 6 (core dumped)
Start time: 2021-02-12T02:45:04.890784Z
End time:   2021-02-12T02:45:05.610135Z
Duration:   0.719s

Metadata:
    allowed_architectures is empty
    allowed_platforms is empty
    description is empty
    has_cleanup = false
    is_exclusive = false
    required_configs is empty
    required_disk_space = 0
    required_files is empty
    required_memory = 0
    required_programs is empty
    required_user is empty
    timeout = 300

Standard error:
munmap_chunk(): invalid pointer
Process with PID 68717 exited with signal 6 and dumped core; attempting to gather stack trace
Cannot find GDB binary; builtin was 'gdb'
===> engine/filters_test:filters_state__unused__some
Result:     broken: Premature exit; test case received signal 11 (core dumped)
Start time: 2021-02-12T02:45:05.629914Z
End time:   2021-02-12T02:45:06.520342Z
Duration:   0.890s

Metadata:
    allowed_architectures is empty
    allowed_platforms is empty
    description is empty
    has_cleanup = false
    is_exclusive = false
    required_configs is empty
    required_disk_space = 0
    required_files is empty
    required_memory = 0
    required_programs is empty
    required_user is empty
    timeout = 300

Standard error:
Process with PID 68729 exited with signal 11 and dumped core; attempting to gather stack trace
Cannot find GDB binary; builtin was 'gdb'
===> engine/filters_test:test_filter__parse__ok
Result:     broken: Premature exit; test case received signal 6 (core dumped)
Start time: 2021-02-12T02:45:06.660158Z
End time:   2021-02-12T02:45:07.720938Z
Duration:   1.061s

Metadata:
    allowed_architectures is empty
    allowed_platforms is empty
    description is empty
    has_cleanup = false
    is_exclusive = false
    required_configs is empty
    required_disk_space = 0
    required_files is empty
    required_memory = 0
    required_programs is empty
    required_user is empty
    timeout = 300

Standard error:
20210212-024506 D 68749 engine/filters.cpp:88: Parsed user filter 'foo': test program 'foo', no test case
munmap_chunk(): invalid pointer
Process with PID 68749 exited with signal 6 and dumped core; attempting to gather stack trace
Cannot find GDB binary; builtin was 'gdb'
===> Broken tests
engine/filters_test:filters_state__match_test_program  ->  broken: Premature exit; test case received signal 6 (core dumped)  [0.719s]
engine/filters_test:filters_state__unused__some  ->  broken: Premature exit; test case received signal 11 (core dumped)  [0.890s]
engine/filters_test:test_filter__parse__ok  ->  broken: Premature exit; test case received signal 6 (core dumped)  [1.061s]
===> Failed tests
drivers/list_tests_test:build_root  ->  failed: Line 238: exp_test_cases == hooks.test_cases not met  [0.471s]
drivers/list_tests_test:config_in_head  ->  failed: Line 253: exp_test_cases == hooks.test_cases not met  [1.032s]
drivers/list_tests_test:filter_match  ->  failed: Line 222: exp_test_cases == hooks.test_cases not met  [1.728s]
drivers/list_tests_test:many_test_cases  ->  failed: Line 207: exp_test_cases == hooks.test_cases not met  [1.688s]
drivers/list_tests_test:one_test_case  ->  failed: Line 192: exp_test_cases == hooks.test_cases not met  [1.029s]
===> Summary
Results read from /root/kyua/kyua-0.13/check/.kyua/store/results.root_kyua_kyua-0.13.20210212-024443-439585.db
Test cases: 1450 total, 41 skipped, 0 expected failures, 3 broken, 5 failed
Start time: 2021-02-12T02:44:44.839278Z
End time:   2021-02-12T02:46:24.239686Z
Total time: 87.839s
make[1]: *** [Makefile:10158: check-kyua] Error 1


That is a proof gcc is involved. There are multiple unfixed warnings, it may still be issue in kyua code. Just problem was revealed with updated GCC.

Comment 8 Petr Menšík 2021-02-11 23:35:20 UTC
Used branch: https://src.fedoraproject.org/fork/pemensik/rpms/kyua/tree/rawhide

Comment 9 Petr Menšík 2021-02-23 15:12:21 UTC
I don't know what changed, but it seems c++ compiler or something similar was fixed. My Kyua rebuild [1] was successful, where I have also enabled unit tests on build. They passed again on all architectures. It seems rebuild is stil required, because my attempt to build bind[2] with unit tests enabled is still failing. Could you please make a new production build?

1. https://koji.fedoraproject.org/koji/taskinfo?taskID=62573072
2. https://koji.fedoraproject.org/koji/taskinfo?taskID=62585606

Comment 10 Petr Menšík 2021-05-19 18:32:33 UTC
Any progress in fixing it?

Comment 11 Petr Menšík 2021-06-22 22:10:05 UTC
Hi, just bump and build is required to fix this. Is this package unmaintained?

Comment 12 Petr Menšík 2021-06-22 22:19:48 UTC
My scratch build with tests enabled were successful on all platforms:
https://koji.fedoraproject.org/koji/taskinfo?taskID=70646177

Comment 13 Ben Cotton 2022-05-12 15:30:11 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 14 Ben Cotton 2022-06-07 22:00:21 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Red Hat Bugzilla 2023-09-15 01:32:46 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 365 days


Note You need to log in before you can comment on or make changes to this bug.